.\"	$NetBSD: wait.1,v 1.3 2002/02/13 08:17:26 ross Exp $
.\"
.\" Copyright (c) 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)wait.1	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt WAIT 1
.Os
.Sh NAME
.Nm wait
.Nd await process completion
.Sh SYNOPSIS
.Nm wait
.Op Ar pid
.Sh DESCRIPTION
If invoked with no arguments, the
.Nm wait
utility waits until
all existing child processes in the background
have terminated.
.Pp
Available operands:
.Bl -tag -width Ds
.It Ar pid
If a
.Ar pid
operand is specified, and it is the process ID of a
background child process that still exists, the
.Nm wait
utility
waits until that process has completed and consumes its
status information, without consuming the status information
of any other process.
.Pp
If a pid operand is specified that is not the process ID of
a child background process that still exists,
.Nm wait
exits
without waiting for any processes to complete.
.El
.Pp
The
.Nm wait
utility exits with one of the following values:
.Bl -tag -width Ds
.It \&0
The
.Nm wait
utility was invoked with no operands and
all of the existing background child processes have
terminated, or the process specified by the pid
operand exited normally with 0 as its exit status.
.It \&\*[Gt]\&0
The specified process did not exist and its exit
status information was not available, or the specified
process existed or its exit status information
was available, and it terminated with a non-zero
exit status.
.El
.Pp
If the specified process terminated abnormally due
to the receipt of a signal, the exit status
information of
.Nm wait
contains that termination status as
well.
.Sh STANDARDS
The
.Nm wait
command is expected to be
.St -p1003.2
compatible.
